<img src="docs/assets/general-system-dark.svg" align="right">

[![PyPI - Version](https://img.shields.io/pypi/v/dfipy)](https://pypi.python.org/pypi/dfipy/)
[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)
[![MyPy](https://img.shields.io/badge/%20type_checker-mypy-%231674b1?style=flat)](https://github.com/python/mypy)

# DFI API wrapper

## About

- Python library created by [General System](https://www.generalsystem.com/) and publicly available on [github](https://github.com/thegeneralsystem) to query and experiment with the Data Flow Index (DFI) platform.
- DFI provides the user with an unparalled foundation and scalable solution for processing high velocity, high volume spatiotemporal workloads for any geospatial data science need.
- [Read the code documentation](https://dfipy.docs.generalsystem.com/)
- [Read the whitepaper](https://assets.website-files.com/636ce900cf2e67aab6340642/643807134214aebc2b29849c_General%20System_The%20Data%20Flow%20Index%20Whitepaper%20_%20Nov%2022.pdf)

## Quickstart

- Contact General System to obtain an API token.
- **Install Python SDK:**

  ```bash
  pip install dfipy
  ```

- Start querying with [dfipy Examples](https://github.com/thegeneralsystem/dfipy-examples)

## Licence

- Copyright (c) 2023, General System Group Limited.

- DFIPy is provided as it is and copyrighted under [Apache2 License](LICENCE).

- DFIPy is currently released on public pypi in beta, strictly for testing and evaluation purposes.
